Форум проекта PuppyRus Linux

Дистрибутивы проекта PuppyRus Linux => PuppyRus-A [PRA] => Тема начата: sfs от 01 Январь 2019, 19:19:25

Название: [Решено] Ни в одном vte2 (gtk2 + ncurses>6.0) терминале мышка в mc не работает
Отправлено: sfs от 01 Январь 2019, 19:19:25
Разгадал загадку (http://forum.puppyrus.org/index.php?topic=20730.msg144213#msg144213)
Проявляется в дистрах с ncurses-6.1. Лечится ncurses-6.0
035-gtk2-1811-sf03.pfs (ftp://ftp.yandex.ru/puppyrus/roll/1811/035-gtk2-1811-sf03.pfs)
ncurses-vte2-fix-6.0-5-x86_64.pkg.tar.xz (ftp://ftp.yandex.ru/puppyrus/puppyrus-a64/pra64-07/pkg/pra6407extra/ncurses-vte2-fix-6.0-5-x86_64.pkg.tar.xz)

Опасаять побочных эффектов хотел прикрутить менее опасный mc-vte2-mouse-fix-2019.01-01-x86_64.pkg.tar.xz (ftp://ftp.yandex.ru/puppyrus/puppyrus-a64/pra64-07/pkg/pra6407extra/mc-vte2-mouse-fix-2019.01-01-x86_64.pkg.tar.xz) костыть - не прокатило
Перекомпиляция ncurses 6.1 c --with-gpm --enable-ext-mouse --with-abi-version=6 не помогла

Было очень неудобно. На радостях сделал 089-de-lxde_gtk2-1811-sf02.pfs (ftp://ftp.yandex.ru/puppyrus/roll/1811/089-de-lxde_gtk2-1811-sf02.pfs)
089-prar-upd-1811-sf08.pfs (ftp://ftp.yandex.ru/puppyrus/roll/1811/089-prar-upd-1811-sf08.pfs)